/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.enap-light-home {
  .header-component,
  .header-wrapper {
    min-height: 0 !important;
    height: 0 !important;
    overflow: hidden;
  }

  .enap-light-holder {
    max-width: 739px;
    margin: auto;
    padding: 0 32px 50px;

    hr {
      border: 0;
      border-bottom: 1px solid @platform-blue3;
    }

    ul {
      list-style: none;
      margin-left: -40px;
    }

    h3 {
      margin-top: 0;
    }

    h4 {
      margin-bottom: 5px;
      margin-top: 0;
    }

    .content-box {
      margin-left: -25px;
      margin-right: -25px;
      padding: 19px 25px;
    }

    section {
      &.draft-list {
        h3.draft-list-title {
          margin-bottom: 30px;
        }

        .summary-element {
          font-size: 1.6rem;
          margin-bottom: 16px;

          a {
            color: @platfrom-blue1;

            &:hover {
              color: white;
            }

            &:focus {
              color: white;
            }
          }

          .ant-btn {
            padding: 3px;
          }

          h3.summary-element-title {
            margin-bottom: 7px;
          }
        }
      }
    }

    .light-contact-person {
      margin-top: 30px;

      h3 {
        margin-bottom: 10px;
        font-size: 2rem;
      }
    }
  }
}

/* Hide colon in all eNAP labels for textfields which have an INFO-icon and not the ones without */
.enap-holder .ant-form-item-label {
  label[title]::after {
    content: '';
  }

  label[title]:not(:has(span > span))::after {
    content: ':';
  }
}
